Bug 491634 - anaconda fails to download repomd.xml because of missing /etc/hosts
anaconda fails to download repomd.xml because of missing /etc/hosts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Beta/F11BetaBlocker
  Show dependency treegraph
 
Reported: 2009-03-23 08:47 EDT by Mark McLoughlin
Modified: 2009-03-25 13:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-25 13:13:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (43.57 KB, text/plain)
2009-03-23 11:23 EDT, Mark McLoughlin
no flags Details

  None (edit)
Description Mark McLoughlin 2009-03-23 08:47:01 EDT
With 2009-03-22 rawhide, http installs are failing to download repomd.xml

With this patch:

     def urlgrabberFailureCB (self, obj, *args, **kwargs):
-        log.warning("Try %s/%s for %s failed" % (obj.tries, obj.retry, obj.url))
+        log.warning("Try %s/%s for %s failed: %s" % (obj.tries, obj.retry, obj.url, obj.exception))

the error I was seeing is:

  Try 1/10 for http://ftp.heanet.ie/mirrors/fedora/linux/development/x86_64/os/repodata/repomd.xml failed: [Errno 4] IOError: <urlopen error [Errno 2] No such file or directory>

Downloading the url with wget works fine from the anaconda shell

Running strace the only interesting thing I could see was:

   open("/etc/hosts", O_RDONLY|O_CLOEXEC)  = -1 ENOENT (No such file or directory)

Sure enough, no /etc/hosts exists and touching it before retrying makes the install proceed just fine.
Comment 1 Chris Lumens 2009-03-23 10:30:37 EDT
Can you attach /tmp/anaconda.log to this bug report?
Comment 2 Mark McLoughlin 2009-03-23 11:23:59 EDT
Created attachment 336305 [details]
anaconda.log

Okay, I just reproduced - here's the log

At around 15:15 in the log I touched /etc/hosts and hit Retry
Comment 3 David Cantrell 2009-03-24 20:14:52 EDT
Should be working in the next build of anaconda, which should be the F-11 beta release.
Comment 4 Mark McLoughlin 2009-03-25 05:03:10 EDT
For reference, the fix was:

http://git.fedorahosted.org/git/anaconda.git?p=anaconda.git;a=commitdiff;h=60bb9f9957
Comment 5 Mark McLoughlin 2009-03-25 13:13:09 EDT
Confirmed fixed with 20090325 rawhide

Note You need to log in before you can comment on or make changes to this bug.